## org.apache.xerces.xni.parser
Interface XMLDocumentSource

All Known Subinterfaces:
  XMLDocumentFilter, XMLDocumentScanner

    public interface XMLDocumentSource

Defines a document source. In other words, any object that implements this interface is able to emit document "events" to the registered document handler. These events could be produced by parsing an XML document, could be generated from some other source, or could be created programmatically. This interface does not say how the events are created, only that the implementor is able to emit them.

Version:
  $Id: XMLDocumentSource.java 447244 2006-09-18 05:20:40Z mrglavas $
Author:
  Andy Clark, IBM

Method Summary
`XMLDocumentHandler` `getDocumentHandler()` Returns the document handler
`void` `setDocumentHandler(XMLDocumentHandler handler)` Sets the document handler.

Method Detail

### setDocumentHandler

    void setDocumentHandler(XMLDocumentHandler handler)

  Sets the document handler.

### getDocumentHandler

    XMLDocumentHandler getDocumentHandler()

  Returns the document handler

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.